# class MultiTkIp_OK

exception to treat the return value from IP

### Attributes

return_value[R]
value[R]

### Public Class Methods

new(ret=nil) click to toggle source
Calls superclass method

    # File lib/multi-tk.rb, line 50
    def initialize(ret=nil)
      super('succeed')
      @return_value = ret
    end

send(thread, ret=nil) click to toggle source

    # File lib/multi-tk.rb, line 46
    def self.send(thread, ret=nil)
      thread.raise self.new(ret)
    end